Skip to main content

Read Merchant Locations

This endpoint returns a paginated list of merchants available on the MX platform.

GET
/{client_id}/merchants/{merchant_guid}/merchant_locations/{merchant_location_guid}

Request sample


_10
curl -i -X GET https://int-deduction.moneydesktop.com/:client_id/merchants/MCH-09466f0a-fb58-9d1a-bae2-2af0afbea621/merchant_locations/MCL-00024e59-18b5-4d79-b879-2a7896726fea \
_10
-H "Accept: application/vnd.mx.deduction.v1+json" \
_10
-H "MD-API-KEY: :api_key"

Response sample


_16
{
_16
"merchant_location": {
_16
"city": "Greenwood Village",
_16
"country": "US",
_16
"guid": "MCL-00024e59-18b5-4d79-b879-2a7896726fea",
_16
"latitude": 39.5963005,
_16
"longitude": -104.89158799999998,
_16
"merchant_guid": "MCH-09466f0a-fb58-9d1a-bae2-2af0afbea621",
_16
"phone_number": "(303) 689-0728",
_16
"postal_code": "801121436",
_16
"state": "CO",
_16
"store_number": null,
_16
"street_address": "8547 E Arapahoe Rd, Ste 1",
_16
"updated_at": "2019-10-28T21:04:40Z"
_16
}
_16
}